# Workspace Management

## Overview

{% hint style="info" %}

* This feature is available with the [**Paradime Enterprise pack**](https://www.paradime.io/enterprise).
* Your API keys ***must*** have either [User Management Admin or User Metadata Viewer capabilities](/app-help/developers/generate-api-keys.md).
  {% endhint %}

The Workspace Management module enables you to list all the currently active workspaces within the Paradime account.

## Get all workspaces

Retrieves all active workspaces.

{% tabs %}
{% tab title="Args" %}
**`none`**
{% endtab %}

{% tab title="Returns" %}
*`List[Workspace]`*: A list of active workspaces
{% endtab %}
{% endtabs %}

```python
# First party modules
from paradime import Paradime

# Create a Paradime client with your API credentials
paradime = Paradime(api_endpoint="API_ENDPOINT", api_key="API_KEY", api_secret="API_SECRET")

# Get all workspaces
workspaces = paradime.workspaces.list_all()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paradime.io/app-help/developers/python-sdk/modules/workspace-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
